org.apache.poi.ss.formula.functions

## Class WeekdayFunc

- java.lang.Object
- - org.apache.poi.ss.formula.functions.WeekdayFunc

- All Implemented Interfaces:
    Function

      public final class WeekdayFunc
      extends java.lang.Object
      implements Function

  Implementation for the Excel function WEEKDAY
  Author:
    Thies Wellpott

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Function` | `instance`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ValueEval` | `evaluate(ValueEval[] args, int srcRowIndex, int srcColumnIndex)` Perform WEEKDAY(date, returnOption) function.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### instance

          public static final Function instance

  - ### Method Detail

    - #### evaluate

          public ValueEval evaluate(ValueEval[] args,
                                    int srcRowIndex,
                                    int srcColumnIndex)

      Perform WEEKDAY(date, returnOption) function. Note: Parameter texts are from German EXCEL-2010 help. Parameters in args[]: args[0] serialDate EXCEL-date value Standardmaessig ist der 1. Januar 1900 die fortlaufende Zahl 1 und der 1. Januar 2008 die fortlaufende Zahl 39.448, da dieser Tag nach 39.448 Tagen auf den 01.01.1900 folgt.
      Specified by:
        `evaluate` in interface `Function`
      Parameters:
        `args` - the evaluated function arguments. Empty values are represented with `BlankEval` or `MissingArgEval`, never `null`.
        `srcRowIndex` - row index of the cell containing the formula under evaluation
        `srcColumnIndex` - column index of the cell containing the formula under evaluation
      Returns:
        Option (optional) Bestimmt den Rueckgabewert: 1 oder nicht angegeben Zahl 1 (Sonntag) bis 7 (Samstag). Verhaelt sich wie fruehere Microsoft Excel-Versionen. 2 Zahl 1 (Montag) bis 7 (Sonntag). 3 Zahl 0 (Montag) bis 6 (Sonntag). 11 Die Zahlen 1 (Montag) bis 7 (Sonntag) 12 Die Zahlen 1 (Dienstag) bis 7 (Montag) 13 Die Zahlen 1 (Mittwoch) bis 7 (Dienstag) 14 Die Zahlen 1 (Donnerstag) bis 7 (Mittwoch) 15 Die Zahlen 1 (Freitag) bis 7 (Donnerstag) 16 Die Zahlen 1 (Samstag) bis 7 (Freitag) 17 Die Zahlen 1 (Sonntag) bis 7 (Samstag)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.